using API_Rest;
using API_Rest.Controllers;
using Microsoft.Extensions.Logging;
using System.Security.Cryptography.X509Certificates;

namespace API_UnitTest
{
    public class UnitTest
    {
        public ILogger<WeatherForecastController> logger { get; set; }
        public WeatherForecastService wfs = new WeatherForecastService();
        public WeatherForecastController wfc;


        public UnitTest() {
            wfc = new WeatherForecastController(logger, wfs);
        }
        [Fact]
        public void GetAll()
        {
            var res = wfc.GetAll();
            Assert.NotNull(res);
        }

        [Fact]
        public void GetOne()
        {
            var res = wfc.GetOne(1); 
            Assert.NotNull(res.Result);
        }

        [Fact]
        public async void Post()
        {
            WeatherForecast wf = new WeatherForecast();
            wf.Id = 4;
            wf.Date = DateOnly.FromDateTime(DateTime.Today);
            wf.TemperatureC = 5;
            await wfc.Post(wf);
            Assert.Contains(wf,wfs.Weathers);
        }
    }
}